Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get project

GET/workspaces/{organizationId}/projects/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Project

idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
statusstringrequired
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
leadIdstring | nullrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "status": "string",
  "health": "on_track",
  "leadId": "string",
  "archivedAt": "string",
  "startDate": "string",
  "endDate": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?